const path = require('path');
module.exports = {
  publicPath: '/',
  configureWebpack: config => {
    Object.assign(config, {
      // 开发生产共同配置
      resolve: {
        alias: {
          '@': path.resolve(__dirname, './src'),
          '@c': path.resolve(__dirname, './src/components'),
          '@a': path.resolve(__dirname, './src/assets'),
        },
      },
    });
  },
  devServer: {
    port: '8001',
    //api地址前缀
    proxy: {
      '/files': {
        target: 'http://smart.cc-lotus.info',
        changeOrigin: true,
        ws: true,
      },
      '/ws': {
        target: 'http://smart.cc-lotus.info',
        ws: true,
      },
      '/weixin': {
        target: 'http://smart.cc-lotus.info',
        changeOrigin: true,
        ws: true,
      },
      '/api': {
        target: 'http://free.liaoningdoupo.com',
        changeOrigin: true,
        ws: true,
      },
    },
  },
};
